var gulp = require('gulp');
var rename = require('gulp-rename');
var autoprefixer = require('gulp-autoprefixer');
var sass = require('gulp-ruby-sass');
var filter = require('gulp-filter');


module.exports = function (opts) {
    return gulp.task('styles', function () {
        var cssFilter = filter('*.css');
        var sassOpts = {'sourcemap=none': true};
        return gulp.src(opts.src)
            .pipe(sass(sassOpts).on('error', function handleError(err) {
                console.log(err.toString());
                this.emit('end');
            }))
            .pipe(cssFilter)//filter out source maps generated by sass 3.4
            .pipe(autoprefixer(['last 1 version']))
            .pipe(gulp.dest(opts.dest))
            .pipe(rename({suffix: '.min'}))
            .pipe(cssFilter.restore()) //restore source maps althought they are named incorrectly right now 
            .pipe(gulp.dest(opts.dest));
    });

};